# $Revision: 1.12 $, $Date: 2002/08/10 09:28:17 $
Summary:	Enlightenment Database Access Library
Summary(pl):	Biblioteka Enlightementa dostpu do baz danych
Name:		edb
Version:	1.0.3
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://prdownloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_fix.patch
URL:		http://www.enlightement.org/
BuildRequires:	ncurses-devel
BuildRequires:	gtk+-devel
BuildRequires:	glib-devel
BuildRequires:	libtool
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_x11prefix	%{_prefix}/X11R6
%define		_x11bindir	%{_x11prefix}/bin

%description
Edb is a simple, clean high-level db access/storage library.

%description -l pl
Edb jest prost bibliotek wysokiego poziomu umoliwiajc
dostp/zapisywanie danych w bazach.

%package devel
Summary:	header files and libraries for %{name} development
Summary(pl):	Pliki nagwkowe i dokumentacja dla %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and documentation needed for developing %{name} programs.

%description devel -l pl
Pliki nagwkowe i dokumentacja umoliwiajce rozwijanie programw
korzystajcych z biblioteki %{name}.

%package static
Summary:	Static version of %{name} libraries
Summary(pl):	Statyczna wersja biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of %{name} libraries.

%description static -l pl
Statyczna wersja biblioteki %{name}.

%package gtk
Summary:	GTK editor of databases
Summary(pl):	Edytor baz w GTK
Group:		X11/Applications

%description gtk
GTK editor of databases.

%description gtk -l pl
Edytor baz danych w GTK.

%prep
%setup -q
%patch0 -p1

%build
rm missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-cxx

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_x11bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/edb_gtk_ed $RPM_BUILD_ROOT%{_x11bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/edb_ed
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/edb-config
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files gtk
%defattr(644,root,root,755)
%{_x11bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: edb.spec,v $
Revision 1.12  2002/08/10 09:28:17  kloczek
- updated to 1.0.3,
- use new %doc.

Revision 1.11  2002/08/09 16:07:22  wiget
- fix for autoconf 2.53

Revision 1.10  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/05/21 23:12:58  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/25 16:14:17  arturs
fixed a small typo

Revision 1.7  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/19 18:53:33  gotar
- %desc

Revision 1.4  2002/02/03 20:44:01  ankry
- adding es/pt/pt_BR Group translations

Revision 1.3  2002/01/18 02:12:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/05 20:24:48  kloczek
- spec adapterized and few cosmetics.

Revision 1.1  2001/05/01 08:00:24  misiek
Enlightenment Database Access Library - initial pld release
